Realtek 8723DE [10ec:d723] subsystem [10ec:d738] disconnects unsolicitedly when Bluetooth is paired: Reason: 23=IEEE8021X_FAILED

Bug #1878147 reported by You-Sheng Yang on 2020-05-12
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
linux (Ubuntu)
Status tracked in Groovy
Bionic
Undecided
Unassigned
Eoan
Undecided
Unassigned
Focal
High
You-Sheng Yang
Groovy
High
You-Sheng Yang
linux-oem-5.6 (Ubuntu)
Status tracked in Groovy
Bionic
Undecided
Unassigned
Eoan
Undecided
Unassigned
Focal
High
You-Sheng Yang
Groovy
Undecided
Unassigned
linux-oem-osp1 (Ubuntu)
Status tracked in Groovy
Bionic
High
You-Sheng Yang
Eoan
Undecided
Unassigned
Focal
Undecided
Unassigned
Groovy
Undecided
Unassigned

Bug Description

[SRU Justification]

[Impact]
Existing Wi-Fi connection may be deauthenticated unsolicitedly with
reason 23=IEEE8021X_FAILED when the system is also paired with a
Bluetooth device. A WLAN passphrase dialog propmpts, and system
disconnects from network:

  wlp5s0: deauthenticated from a4:56:30:cc:0f:30 (Reason: 23=IEEE8021X_FAILED).

[Fix]
Realtek proposed a fix[1] to linux-wireless consisting of three patches.

  rtw88: coex: 8723d: set antanna control owner
  rtw88: coex: 8723d: handle BT inquiry cases
  rtw88: fix EAPOL 4-way failure by finish IQK earlier

The third one actually duplicates the fix we have for bug 1871300 also
from Realtek and was claimed critical to this issue, therefore those for
bug 1871300 are reverted in favor of the new one.

Also revert that Ubuntu sauced "rtw88: 8723d: Add coex support" commit
and replace it with the upstream one due to dependency to bt coex
functionality.

[1]: https://<email address hidden>/

[Test Case]
1. Associate to a WLAN,
2. Pair with some Bluetooth device, e.g. headset,
3. Run a stress test script to disconnect and reconnect Wi-Fi for 200
   runs,
4. Make sure Wi-Fi passphrase dialog doesn't prompt at the end of the
   test.

[Regression Potential]
Low. These changes are mostly about rtl8723de or 11n, which is also for
8723de.

========== Original Bug Description ==========

Existing Wi-Fi connection may be deauthenticated unsolicitedly with reason 23=IEEE8021X_FAILED when the system is also paired with a Bluetooth device. A WLAN passphrase dialog propmpts, and system disconnects from network leaving an error message in syslog:

  [ 207.523312] wlp5s0: deauthenticated from a4:56:30:cc:0f:30 (Reason: 23=IEEE8021X_FAILED).

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: linux-oem-osp1 5.0.0.1050.53
ProcVersionSignature: Ubuntu 5.0.0-1050.55-oem-osp1 5.0.21
Uname: Linux 5.0.0-1050-oem-osp1 x86_64
NonfreeKernelModules: nvidia_modeset nvidia
ApportVersion: 2.20.9-0ubuntu7.14
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: gdm 1667 F.... pulseaudio
                      u 3061 F.... pulseaudio
 /dev/snd/controlC0: gdm 1667 F.... pulseaudio
                      u 3061 F.... pulseaudio
Date: Tue May 12 14:59:32 2020
DistributionChannelDescriptor:
 # This is the distribution channel descriptor for the OEM CDs
 # For more information see http://wiki.ubuntu.com/DistributionChannelDescriptor
 canonical-oem-somerville-bionic-amd64-20190418-59+beaver-osp1-grenn+X39
InstallationDate: Installed on 2020-04-10 (31 days ago)
InstallationMedia: Ubuntu 18.04 "Bionic" - Build amd64 LIVE Binary 20190418-12:10
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 004: ID 04d9:0024 Holtek Semiconductor, Inc.
 Bus 001 Device 003: ID 0bda:d739 Realtek Semiconductor Corp.
 Bus 001 Device 005: ID 062a:4c01 Creative Labs
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Dell Inc. Vostro 3888
ProcFB:
 0 EFI VGA
 1 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.0.0-1050-oem-osp1 root=UUID=17e0a095-201d-4dca-a2e7-6e16dcd6a797 ro quiet splash vt.handoff=1
PulseList:
 Error: command ['pacmd', 'list'] failed with exit code 1: Home directory not accessible: Permission denied
 No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-5.0.0-1050-oem-osp1 N/A
 linux-backports-modules-5.0.0-1050-oem-osp1 N/A
 linux-firmware 1.173.18
SourcePackage: linux-oem-osp1
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 02/13/2020
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 0.19.29
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 3
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr0.19.29:bd02/13/2020:svnDellInc.:pnVostro3888:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct3:cvr:
dmi.product.family: Vostro
dmi.product.name: Vostro 3888
dmi.product.sku: 09B2
dmi.sys.vendor: Dell Inc.

You-Sheng Yang (vicamo) wrote :
You-Sheng Yang (vicamo) on 2020-05-12
tags: added: oem-priority originate-from-1876074 somerville
tags: added: hwe-networking-wifi

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu Bionic):
status: New → Confirmed
Changed in linux (Ubuntu Eoan):
status: New → Confirmed
Changed in linux (Ubuntu Focal):
status: New → Confirmed
You-Sheng Yang (vicamo) wrote :

RTL8723DE is not support in generic kernels before focal.

Changed in linux (Ubuntu Bionic):
status: Confirmed → Invalid
Changed in linux (Ubuntu Eoan):
status: Confirmed → Invalid
Changed in linux-oem-5.6 (Ubuntu Bionic):
status: New → Invalid
Changed in linux-oem-5.6 (Ubuntu Eoan):
status: New → Invalid
Changed in linux-oem-5.6 (Ubuntu Groovy):
status: New → Invalid
Changed in linux-oem-5.6 (Ubuntu Focal):
status: New → Confirmed
Changed in linux-oem-osp1 (Ubuntu Bionic):
assignee: nobody → You-Sheng Yang (vicamo)
status: New → Triaged
Changed in linux-oem-osp1 (Ubuntu Eoan):
status: New → Invalid
Changed in linux-oem-osp1 (Ubuntu Focal):
status: New → Invalid
Changed in linux-oem-osp1 (Ubuntu Groovy):
status: New → Invalid
You-Sheng Yang (vicamo) wrote :

I'm not sure if they can also fix this issue, but Realtek has https://github.com/rtlwifi-linux/rtw88_8723de/tree/master-coex-trial2 that is verified working for me. PPA build in progress in https://launchpad.net/~vicamo/+archive/ubuntu/ppa-1878147.

You-Sheng Yang (vicamo) wrote :

Confirmed kernels in https://launchpad.net/~vicamo/+archive/ubuntu/ppa-1878147, specifically with commit 405a8ca801b7 ("[COEX] fix BT inquiry and wifi idle case.")[1] cherry-picked, would fix this issue.

[1]: https://github.com/rtlwifi-linux/rtw88_8723de/commit/405a8ca801b78e299336c3d7e4482bd4b0149aa6

You-Sheng Yang (vicamo) wrote :

Need Realtek to provide a formal fix, with license clarification specifically, to proceed SRU.

Changed in linux-oem-osp1 (Ubuntu Bionic):
status: Triaged → Incomplete
You-Sheng Yang (vicamo) wrote :

https://<email address hidden>/

You-Sheng Yang (vicamo) wrote :

There are three patches in the aforementioned patchset 289291 in comment #8:

  * rtw88: coex: 8723d: set antanna control owner
  * rtw88: coex: 8723d: handle BT inquiry cases
  * rtw88: fix EAPOL 4-way failure by finish IQK earlier

However, the last one conflicts with the solutions for bug 1871300 (from
https://github.com/rtlwifi-linux/rtw88_8723de/commit/49daf7d7256e3d774a1357f6800bfaae672b694d):

  * rtw88: No retry and report for auth and assoc
  * rtw88: fix rate for a while after being connected
  * rtw88: Move driver IQK to set channel before association for 11N chip

Specifically the last one. I list three of them because they all belong to the same bug.

So I've tried three things:

===== 8< ===== 8< ===== 8< ===== 8< =====
[Case 1]

  1. reverted all the three patches for bug 1871300,
  2. apply all the three patches from patchset 289291,

However, this breaks WLAN association, and bug 1871300 comes back. Let alone the WiFi/BT co-existence issue to be solved here.

[Case 2]

  1. apply only the first two patches from patchset 289291.

This solution works for both bug 1871300 and this bug 1878147.

[Case 3]

  1. apply the patches to kvalo/wireless-drivers-next HEAD

This works for both bug 1871300 and bug 1878147, too. Reported to upstream mailing list.
===== 8< ===== 8< ===== 8< ===== 8< =====

So far my plan is to take [Case 2] as the solution for this bug, and leave the third patch for follow-ups to retire previous, originalted-from-github-rather-than-mainline-kernel fixes. Waiting for the confirmation.

You-Sheng Yang (vicamo) on 2020-05-28
Changed in linux-oem-osp1 (Ubuntu Bionic):
status: Incomplete → In Progress
You-Sheng Yang (vicamo) wrote :

Created new PPA for working backports:
https://launchpad.net/~vicamo/+archive/ubuntu/ppa-1878147.20200518081444.7664
Verified on unstable/oem-5.6/focal/oem-osp1-bionic for 200 runs for each. Note in the end I can no longer reproduce [Case 1] from comment #9, and since it's confirmed that the third patch is critical to this issue for some reason, the final patch sets to be backported will include all three of them with additional patches to address conflicts.

You-Sheng Yang (vicamo) on 2020-05-29
description: updated
You-Sheng Yang (vicamo) wrote :
Changed in linux-oem-5.6 (Ubuntu Focal):
status: Confirmed → Fix Committed
status: Fix Committed → In Progress
Changed in linux (Ubuntu Groovy):
status: Confirmed → In Progress
Changed in linux (Ubuntu Focal):
status: Confirmed → In Progress
importance: Undecided → High
Changed in linux (Ubuntu Groovy):
importance: Undecided → High
You-Sheng Yang (vicamo) on 2020-05-29
Changed in linux-oem-osp1 (Ubuntu Bionic):
importance: Undecided → High
Changed in linux-oem-5.6 (Ubuntu Focal):
assignee: nobody → You-Sheng Yang (vicamo)
importance: Undecided → High
You-Sheng Yang (vicamo) on 2020-05-29
Changed in linux (Ubuntu Groovy):
assignee: nobody → You-Sheng Yang (vicamo)
Changed in linux (Ubuntu Focal):
assignee: nobody → You-Sheng Yang (vicamo)
You-Sheng Yang (vicamo) wrote :

Upsteam v2 in https://<email address hidden>/ a few hours ago. Difference in the comments in the third patch only.

description: updated
Changed in linux-oem-5.6 (Ubuntu Focal):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Focal):
status: In Progress → Fix Committed
Timo Aaltonen (tjaalton) on 2020-06-10
Changed in linux-oem-5.6 (Ubuntu Focal):
status: Fix Committed → In Progress

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
You-Sheng Yang (vicamo) wrote :

Verified focal-proposed version 5.4.0-34.38 with 200 runs.

tags: added: verification-done-focal
removed: verification-needed-focal
Timo Aaltonen (tjaalton) on 2020-06-12
Changed in linux-oem-5.6 (Ubuntu Focal):
status: In Progress → Fix Committed
AceLan Kao (acelankao) on 2020-06-12
Changed in linux-oem-osp1 (Ubuntu Bionic):
status: In Progress → Fix Committed
You-Sheng Yang (vicamo) wrote :

Landed to unstable Ubuntu-5.7-5.7.0-7.8, too.

All autopkgtests for the newly accepted linux-oracle-5.4 (5.4.0-1019.19~18.04.1) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

zfs-linux/unknown (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#linux-oracle-5.4

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Launchpad Janitor (janitor) wrote :
Download full text (30.0 KiB)

This bug was fixed in the package linux - 5.4.0-40.44

---------------
linux (5.4.0-40.44) focal; urgency=medium

  * linux-oem-5.6-tools-common and -tools-host should be dropped (LP: #1881120)
    - [Packaging] Add Conflicts/Replaces to remove linux-oem-5.6-tools-common and
      -tools-host

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  * Slow send speed with Intel I219-V on Ubuntu 18.04.1 (LP: #1802691)
    - e1000e: Disable TSO for buffer overrun workaround

  * CVE-2020-0543
    - UBUNTU/SAUCE: x86/speculation/srbds: do not try to turn mitigation off when
      not supported

  * Realtek 8723DE [10ec:d723] subsystem [10ec:d738] disconnects unsolicitedly
    when Bluetooth is paired: Reason: 23=IEEE8021X_FAILED (LP: #1878147)
    - SAUCE: Revert "UBUNTU: SAUCE: rtw88: Move driver IQK to set channel before
      association for 11N chip"
    - SAUCE: Revert "UBUNTU: SAUCE: rtw88: fix rate for a while after being
      connected"
    - SAUCE: Revert "UBUNTU: SAUCE: rtw88: No retry and report for auth and assoc"
    - SAUCE: Revert "UBUNTU: SAUCE: rtw88: 8723d: Add coex support"
    - rtw88: add a debugfs entry to dump coex's info
    - rtw88: add a debugfs entry to enable/disable coex mechanism
    - rtw88: 8723d: Add coex support
    - SAUCE: rtw88: coex: 8723d: set antanna control owner
    - SAUCE: rtw88: coex: 8723d: handle BT inquiry cases
    - SAUCE: rtw88: fix EAPOL 4-way failure by finish IQK earlier

  * CPU stress test fails with focal kernel (LP: #1867900)
    - [Config] Disable hisi_sec2 temporarily

  * Enforce all config annotations (LP: #1879327)
    - [Config]: do not enforce CONFIG_VERSION_SIGNATURE
    - [Config]: prepare to enforce all
    - [Config]: enforce all config options

  * Focal update: v5.4.44 upstream stable release (LP: #1881927)
    - ax25: fix setsockopt(SO_BINDTODEVICE)
    - dpaa_eth: fix usage as DSA master, try 3
    - net: don't return invalid table id error when we fall back to PF_UNSPEC
    - net: dsa: mt7530: fix roaming from DSA user ports
    - net: ethernet: ti: cpsw: fix ASSERT_RTNL() warning during suspend
    - __netif_receive_skb_core: pass skb by reference
    - net: inet_csk: Fix so_reuseport bind-address cache in tb->fast*
    - net: ipip: fix wrong address family in init error path
    - net/mlx5: Add command entry handling completion
    - net: mvpp2: fix RX hashing for non-10G ports
    - net: nlmsg_cancel() if put fails for nhmsg
    - net: qrtr: Fix passing invalid reference to qrtr_local_enqueue()
    - net: revert "net: get rid of an signed integer overflow in
      ip_idents_reserve()"
    - net sched: fix reporting the first-time use timestamp
    - net/tls: fix race condition causing kernel panic
    - nexthop: Fix attribute checking for groups
    - r8152: support additional Microsoft Surface Ethernet Adapter variant
    - sctp: Don't add the shutdown timer if its already been added
    - sctp: Start shutdown on association restart if in SHUTDOWN-SENT state and
      socket is closed
    - tipc: block BH before using dst_cache
    - net/mlx5e: kTLS, Destroy key object after destroying the TIS
    - net/mlx5e: Fix inner tirs handling
    - net/m...

Changed in linux (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (30.4 KiB)

This bug was fixed in the package linux-oem-5.6 - 5.6.0-1018.18

---------------
linux-oem-5.6 (5.6.0-1018.18) focal; urgency=medium

  * focal/linux-oem-5.6: 5.6.0-1018.18 -proposed tracker (LP: #1884496)

  * Focal update: v5.6.18 upstream stable release (LP: #1883304)
    - devinet: fix memleak in inetdev_init()
    - l2tp: add sk_family checks to l2tp_validate_socket
    - l2tp: do not use inet_hash()/inet_unhash()
    - net: check untrusted gso_size at kernel entry
    - net/mlx5: Fix crash upon suspend/resume
    - net: stmmac: enable timestamp snapshot for required PTP packets in dwmac
      v5.10a
    - net: usb: qmi_wwan: add Telit LE910C1-EUX composition
    - NFC: st21nfca: add missed kfree_skb() in an error path
    - nfp: flower: fix used time of merge flow statistics
    - sctp: check assoc before SCTP_ADDR_{MADE_PRIM, ADDED} event
    - virtio_vsock: Fix race condition in virtio_transport_recv_pkt
    - vsock: fix timeout in vsock_accept()
    - net: be more gentle about silly gso requests coming from user
    - net: dsa: felix: send VLANs on CPU port as egress-tagged
    - mptcp: fix unblocking connect()
    - net/sched: fix infinite loop in sch_fq_pie
    - net/mlx5e: replace EINVAL in mlx5e_flower_parse_meta()
    - USB: serial: qcserial: add DW5816e QDL support
    - USB: serial: usb_wwan: do not resubmit rx urb on fatal errors
    - USB: serial: option: add Telit LE910C1-EUX compositions
    - USB: serial: ch341: add basis for quirk detection
    - USB: serial: ch341: fix lockup of devices with limited prescaler
    - iio:chemical:sps30: Fix timestamp alignment
    - iio: vcnl4000: Fix i2c swapped word reading.
    - iio:chemical:pms7003: Fix timestamp alignment and prevent data leak.
    - iio: adc: stm32-adc: fix a wrong error message when probing interrupts
    - usb: musb: start session in resume for host port
    - usb: musb: Fix runtime PM imbalance on error
    - serial: 8250: Enable 16550A variants by default on non-x86
    - vt: keyboard: avoid signed integer overflow in k_ascii
    - tty: hvc_console, fix crashes on parallel open/close
    - staging: rtl8712: Fix IEEE80211_ADDBA_PARAM_BUF_SIZE_MASK
    - CDC-ACM: heed quirk also in error handling
    - nvmem: qfprom: remove incorrect write support
    - x86/cpu: Add a steppings field to struct x86_cpu_id
    - x86/cpu: Add 'table' argument to cpu_matches()
    - x86/speculation: Add Special Register Buffer Data Sampling (SRBDS)
      mitigation
    - x86/speculation: Add SRBDS vulnerability and mitigation documentation
    - x86/speculation: Add Ivy Bridge to affected list
    - uprobes: ensure that uprobe->offset and ->ref_ctr_offset are properly
      aligned
    - Revert "net/mlx5: Annotate mutex destroy for root ns"
    - Linux 5.6.18

  * NULL pointer dereference in nvme reset work-queue when VMD raid mode and
    SecureBoot turned on simultaneously on TigerLake (LP: #1876707)
    - iommu: Use C99 flexible array in fwspec
    - iommu: Define dev_iommu_fwspec_get() for !CONFIG_IOMMU_API
    - ACPI/IORT: Remove direct access of dev->iommu_fwspec
    - drm/msm/mdp5: Remove direct access of dev->iommu_fwspec
    - iommu/tegra-gart: Remove direct access of dev->i...

Changed in linux-oem-5.6 (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (24.3 KiB)

This bug was fixed in the package linux-oem-osp1 - 5.0.0-1063.68

---------------
linux-oem-osp1 (5.0.0-1063.68) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1060.65 -proposed tracker (LP: #1882719)

  * bionic/linux-oem-osp1: 5.0.0-1063.68 -proposed tracker (LP: #1884983)

  * kernel NULL pointer dereference when plugging/unpluggin USB-c (power or hub)
    (LP: #1878544)
    - usb: typec: altmode: Fix typec_altmode_get_partner sometimes returning an
      invalid pointer

  * audio card disappeared after suspend device during audio playback Edit
    (LP: #1882035)
    - ASoC: SOF: topology: set trigger order for FE DAI link

  * tpm: fix TIS locality timeout problems (LP: #1881710)
    - SAUCE: tpm: fix TIS locality timeout problems

  * Performing function level reset of AMD onboard USB and audio devices causes
    system lockup (LP: #1865988)
    - SAUCE: PCI: Avoid FLR for AMD Matisse HD Audio & USB 3.0
    - SAUCE: PCI: Avoid FLR for AMD Starship USB 3.0

  * Realtek 8723DE [10ec:d723] subsystem [10ec:d738] disconnects unsolicitedly
    when Bluetooth is paired: Reason: 23=IEEE8021X_FAILED (LP: #1878147)
    - SAUCE: Revert "UBUNTU: SAUCE: rtw88: Move driver IQK to set channel before
      association for 11N chip"
    - SAUCE: Revert "UBUNTU: SAUCE: rtw88: fix rate for a while after being
      connected"
    - SAUCE: Revert "UBUNTU: SAUCE: rtw88: No retry and report for auth and assoc"
    - SAUCE: Revert "UBUNTU: SAUCE: rtw88: 8723d: Add coex support"
    - rtw88: add rtw_read8_mask and rtw_read16_mask
    - rtw88: add a debugfs entry to dump coex's info
    - rtw88: add a debugfs entry to enable/disable coex mechanism
    - rtw88: configure TX queue EDCA parameters
    - rtw88: 8723d: Add coex support
    - SAUCE: rtw88: coex: 8723d: set antanna control owner
    - SAUCE: rtw88: coex: 8723d: handle BT inquiry cases
    - SAUCE: rtw88: fix EAPOL 4-way failure by finish IQK earlier

  * Fix incorrect speed/duplex when I210 device is runtime suspended
    (LP: #1880656)
    - igb: Report speed and duplex as unknown when device is runtime suspended

  [ Ubuntu: 5.0.0-56.60 ]

  * disco/linux: 5.0.0-56.60 -proposed tracker (LP: #1884984)
  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts
  * bpf_get_stack from test_verifier in ubuntu_bpf failed on Bionic 5.0
    (LP: #1881263)
    - Revert "bpf: fix buggy r0 retval refinement for tracing helpers"
  * CVE-2020-0543
    - UBUNTU/SAUCE: x86/speculation/srbds: do not try to turn mitigation off when
      not supported
  * Disco update: upstream stable patchset 2020-06-04 (LP: #1882128)
    - x86/uaccess, ubsan: Fix UBSAN vs. SMAP
    - ubsan: build ubsan.c more conservatively
    - i2c: dev: Fix the race between the release of i2c_dev and cdev
    - KVM: SVM: Fix potential memory leak in svm_cpu_init()
    - riscv: set max_pfn to the PFN of the last page
    - ima: Set file->f_mode instead of file->f_flags in ima_calc_file_hash()
    - evm: Check also if *tfm is an error pointer in init_desc()
    - ima: Fix return value of ima_write_policy()
    - mtd: spinand: Propagate ECC information to the MTD structure
    - fix multiplication overflow in copy_fdtab...

Changed in linux-oem-osp1 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in hwe-next:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers